/* connecting personal fonts to css */
@font-face {
  font-family: 'bamewpersonal_use';
  src: url('../fonts/bamew-personaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
    font-family: 'bamewbold_personal_use';
    src: url('../fonts/bamew-boldpersonaluse-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
  font-family: 'bamewthin_personal_use';
  src: url('../fonts/bamew-thinpersonaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'bamewthin_personal_use';
  src: url('../fonts/bamew-thinpersonaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'signalbold';
  src: url('../fonts/signal-bold-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}
  @font-face {
    font-family: 'signalbold';
    src: url('../fonts/signal-normal-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }

@font-face {
    font-family: 'signallight';
    src: url('../fonts/signal-light-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }

  @font-face {
    font-family: 'signalextrabold';
    src: url('../fonts/signal-extrabold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }



html, body{
    height: 100%;
    margin: 0px;
    padding: 0px;
    font-family: 'Roboto-thin', sans-serif;
    font-size: 17px;
}

header nav {
    display: flex;

    /* added more white on the top as suggested  */
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.943), rgba(255, 255, 255, 0.545),rgba(178, 181, 182, 0.75)), url('../images/heroshop.jpg');
    background-size: cover;
    opacity: 100%;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    align-items: top;
    justify-content: center;
    position: top;
    background-position: center;
    font-family: 'signalextrabold', sans serif;
    font-size: 16px;
    text-align: center;
    flex-direction:row;
    justify-content: center;
    margin-bottom: 4rem;
  }

  header nav a {
    text-decoration: none;
    color: #6196D0;
    margin: 10px 10px 10px 10px;
  }

header nav a:hover {
    color: #FFCF51;
  }

  #logo{
    min-width: 20%;
    opacity: 100%;
    margin: 10px 10px 10px 10px;
  }

.title {
  display: flex;
 margin-top: 0.5rem;
 margin-bottom: 0.5rem;
 padding-bottom: 3rem;
}
.title p {
  font-size: 17px;
  font-family: 'signallight', sans-serif;
  color: black;
  text-align: center;
  margin-left: 3rem;
  margin-right: 3rem;
}

/* gallery */


/* gallery divided in 4 */
.row {
  display: flex;
  flex-direction: row;
  gap: 0.4rem;
  margin-bottom: 0.4rem;
  min-width: 400px;
  margin-left: 2rem;
  margin-right: 2rem;
  }

  /* gave all the thumbnails rounded corners */
.thumbnail-blue {
  flex: calc(100%/4);
  border-radius: 33px;
  border-color: #6197d0c5;
  border-width: 4px;
  border-style: solid;
  justify-content: flex-end;
  align-content: center;
  text-align: center;
  padding-bottom: 20px;

img { 
  border-radius: 24px 24px 0 0;
  width: 80%;
}
}

.thumbnail-yellow {
  flex: calc(100%/4);
  border-radius: 33px;
  border-color: #FFCF51;
  border-width: 4px;
  border-style: solid;
  justify-content: flex-end;
  align-content: center;
  text-align: center;
  padding-bottom: 20px;

img { 
  border-radius: 24px 24px 0 0;
  width: 80%;
}
}

/* removed the grey as suggested */

/* .thumbnail-grey {
  flex: calc(100%/4);
  border-radius: 33px;
  border-color:  #b2b5b66a;
  border-width: 4px;
  border-style: solid;
  justify-content: flex-end;
  align-content: center;
  text-align: center;
  padding-bottom: 20px;
img { 
  border-radius: 24px 24px 0 0;
  width: 80%;
}
} */

.drinks-names {
  font-size: 17px;
  font-family: 'signalextrabold';
  margin-bottom: 20px;
  margin-top: 5px;
}

.button-blue-order {
  background-color: #6197d0c5;
  color: rgb(0, 0, 0);
  text-align: center;
  text-decoration: none;
  border-radius: 31.5px;
  font-family: 'signalbold', sans-serif;
  font-size: 16px;
  padding: 25px;
  text-align: center;
  justify-content: center;
  border-width: 0ch;
  transition: all .2s ease-in-out;
  width: 200px;
  cursor: pointer;
}
.button-blue-order:hover { 
  transform: scale(1.1); 
  box-shadow: 4px 4px 12px 0 rgba(0, 0, 0, 0.277); 
  }

  /* press button effect */
.button-blue-order:active {
  background-color: transparent;
  transform: scale(0.7);  
  box-shadow: inset 0px 0px 3px #6197d0c5;
  outline: none;
}

.button-yellow-order {
  background-color: #FFCF51;
  color: rgb(0, 0, 0);
  text-align: center;
  text-decoration: none;
  border-radius: 31.5px;
  font-family: 'signalbold', sans-serif;
  font-size: 16px;
  padding: 25px;
  text-align: center;
  justify-content: center;
  border-width: 0ch;
  transition: all 0.5s;
  width: 200px;
  cursor: pointer;
  box-shadow: 7px 6px 28px 1px rgba(0, 0, 0, 0.24)
}
/* shade in the back and grow effect */
.button-yellow-order:hover { 
  transform: scale(1.1); 
  box-shadow: 4px 4px 12px 0 rgba(0, 0, 0, 0.277); 
} 

/* press button effect */
.button-yellow-order:active {
  background-color: transparent;
  transform: scale(0.7);  
  box-shadow: inset 0px 0px 3px #FFCF51;
  outline: none;
}


/* changed as suggested with the yellow and blue only*/

/* .button-grey-order {
  background-color:  #b2b5b66a;
  color: rgb(0, 0, 0);
  text-align: center;
  text-decoration: none;
  border-radius: 31.5px;
  font-family: 'signalbold', sans-serif;
  font-size: 16px;
  padding: 25px;
  text-align: center;
  justify-content: center;
  border-width: 0ch;
  transition: all .2s ease-in-out;
  width: 200px;
}
.button-grey-order:hover { 
  transform: scale(1.1);
  box-shadow: 4px 4px 12px 0 rgba(0, 0, 0, 0.822); 
  } */


/* footer */
*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
footer{
  background-color: #b2b5b66a;
  border-radius: 20px;
  margin-top: 1rem;
}
.footerContainer_container{
  width: 100%;
}
.socialIcons{
  display: flex;
  justify-content: center;
}
.socialIcons a{
  text-decoration: none;
  padding:  10px;
  background-color: white;
  margin: 10px;
  border-radius: 50%;
}
.socialIcons a i{
  font-size: 2em;
  color: #6197d0c5;
  opacity: 0,9;
}
/* effect on social media icon */
.socialIcons a:hover{
  background-color: #FFCF51;
  transition: 0.2s;
}
.socialIcons a:hover i{
  color: white;
  transition: 0.5s;
}
.footerNav{
  margin: 30px 0;
}
.footerNav ul{
  display: flex;
  justify-content: center;
  list-style-type: none;
}
.footerNav ul li a{
  color:rgb(0, 0, 0);
  margin: 20px;
  text-decoration: none;
  font-size: 1.3em;
  opacity: 0.7;
  transition: 0.2s;
  font-family: 'signalbold', sans-serif;
  transition: all .2s ease-in-out;

}

.footerNav ul li.blue a:hover{
  color: #6197d0c5;
  opacity: 1;
  font-size: 2em;
  transition: all 500ms;
  font-size-adjust: 20px;
} 
.footerBottom{
  background-color: #6197d073;
  padding: 20px;
  text-align: center;
  border-radius: 10px;
}
.footerBottom p{
  color: #FFCF51;
  font-family: 'roboto', sans-serif;
}

.designer{
  opacity: 0.7;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 400;
  margin: 0px 5px;
  font-family: 'signalbold', sans-serif;
}

@media only screen and (max-width: 842px) {

  .container{
    margin: 0 2rem 1rem 2rem;
}
.thumbnail{
    flex: 1 1 calc(50% - 0.4rem);
    width: 100%;
    flex-direction: column;
}
  .footerNav ul{
      flex-direction: column;
  } 
  .footerNav ul li{
    min-width:70%;
    text-align: center;
    margin: 10px;
}
  .socialIcons a{
      padding: 8px;
      margin: 4px;
  }

  .row {
    flex-direction: column;
    flex-wrap: wrap;
    margin-left: 0;
    margin-right: 0;
  }

  .menu, .footer{
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .menu #logo{ 
    max-width: 50%;
    align-self: center;
  }

  .thumbnail-blue, .thumbnail-yellow{
    border-width: 10px;
    align-self: center;
  }

  .gallery-store{
    justify-content: center;
    align-content: center;
  }

  .button-blue-order, .button-yellow-order{
    max-width: 50%;
  }

  .footerNav ul li.yellow, .footerNav ul li.blue {
    min-width:70%;
    text-align: center;
    margin: 10px;
}

.footerNav ul li.blue a:hover{
  color: #6197d0c5;
  opacity: 1;
  font-size: 2em;
  transition: all 500ms;
  font-size-adjust: 20px;
} 
}
@media only screen and (max-width: 768px) {

  .container{
    margin: 0 2rem 1rem 2rem;
}
.thumbnail{
    flex: 1 1 calc(50% - 0.4rem);
    width: 100%;
    flex-direction: column;
}
  .footerNav ul{
      flex-direction: column;
  } 
  .footerNav ul li{
    min-width:70%;
    text-align: center;
    margin: 10px;
}
  .socialIcons a{
      padding: 8px;
      margin: 4px;
  }

  .row {
    flex-direction: column;
    flex-wrap: wrap;
    margin-left: 0;
    margin-right: 0;
  }

  .menu, .footer{
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .menu #logo{ 
    max-width: 50%;
    align-self: center;
  }

  .thumbnail-blue, .thumbnail-yellow{
    border-width: 10px;
    align-self: center;
  }

  .gallery-store{
    justify-content: center;
    align-content: center;
  }

  .button-blue-order, .button-yellow-order{
    max-width: 50%;
  }

  .footerNav ul li.yellow, .footerNav ul li.blue {
    min-width:70%;
    text-align: center;
    margin: 10px;
}
}

@media only screen and (max-width: 576px) {

  .container{
    margin: 0 2rem 1rem 2rem;
}
.thumbnail{
    flex: 1 1 calc(50% - 0.4rem);
    width: 100%;
    flex-direction: column;
}
  .footerNav ul{
      flex-direction: column;
  } 
  .footerNav ul li{
      min-width:70%;
      text-align: center;
      margin: 10px;
  }
  .socialIcons a{
      padding: 8px;
      margin: 4px;
  }

  .row {
    flex-direction: column;
    flex-wrap: wrap;
    margin-left: 0;
    margin-right: 0;
  }

  .menu, .footer{
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .menu #logo{ 
    max-width: 50%;
    align-self: center;
  }

  .thumbnail-blue, .thumbnail-yellow{
    border-width: 10px;
    align-self: center;
  }

  .gallery-store{
    justify-content: center;
    align-content: center;
    margin-left: 1rem;
    margin-right: 1rem;
  }

  .button-blue-order, .button-yellow-order{
    max-width: 50%;
  }

  .footerNav ul li.yellow, .footerNav ul li.blue {
      min-width:70%;
      text-align: center;
      margin: 10px;
  }
  .footerNav ul li.blue a:hover{
    color: #6197d0c5;
    opacity: 1;
    font-size: 1em;
    transition: all 500ms;
    font-size-adjust: 20px;
  } 
}

